Index: modules/uoa-services-library/trunk/ng-openaire-library/src/app/landingPages/landing-utils/parsingFunctions.class.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library/src/app/landingPages/landing-utils/parsingFunctions.class.ts	(revision 58274)
+++ modules/uoa-services-library/trunk/ng-openaire-library/src/app/landingPages/landing-utils/parsingFunctions.class.ts	(revision 58275)
@@ -476,42 +467,42 @@
     }
     return identifiers;
   }
-
+  
   // publication & dataset landing : for subjects and otherSubjects and classifiedSubjects
   parseAllSubjects(_subjects: any): [string[], Map<string, string[]>, Map<string, string[]>] {
     let subjects: string[];
     let otherSubjects: Map<string, string[]>;
     let classifiedSubjects: Map<string, string[]>;
-
+    
     let subject;
     let length = Array.isArray(_subjects) ? _subjects.length : 1;
-
-    for(let i=0; i<length; i++) {
+    
+    for (let i = 0; i < length; i++) {
       subject = Array.isArray(_subjects) ? _subjects[i] : _subjects;
-      if(subject.classid != "") {
-        if(subject.inferred && subject.inferred == true) {
-          if(classifiedSubjects == undefined) {
+      if (subject.classid != "") {
+        if (subject.inferred && subject.inferred == true) {
+          if (classifiedSubjects == undefined) {
             classifiedSubjects = new Map<string, string[]>();
           }
-
-          if(!classifiedSubjects.has(subject.classname)) {
+          
+          if (!classifiedSubjects.has(subject.classname)) {
             classifiedSubjects.set(subject.classname, new Array<string>());
           }
-
+          
           classifiedSubjects.get(subject.classname).push(subject.content);
         } else {
-          if(subject.classid == "keyword") {
-            if(subjects == undefined) {
+          if (subject.classid == "keyword") {
+            if (subjects == undefined) {
               subjects = new Array<string>();
             }
-
+            
             subjects.push(subject.content);
           } else {
-            if(otherSubjects == undefined) {
+            if (otherSubjects == undefined) {
               otherSubjects = new Map<string, string[]>();
             }
-
-            if(!otherSubjects.has(subject.classname)) {
+            
+            if (!otherSubjects.has(subject.classname)) {
               otherSubjects.set(subject.classname, new Array<string>());
             }
             otherSubjects.get(subject.classname).push(subject.content);
@@ -521,21 +512,25 @@
     }
     return [subjects, otherSubjects, classifiedSubjects];
   }
-
-  parseContexts(_contexts: any): {"labelContext": string, "labelCategory": string,
-    "labelConcept": string, inline:boolean}[] {
-    let contexts = new Array<{"labelContext": string, "labelCategory": string,
-      "labelConcept": string, inline:boolean}>();
-
+  
+  parseContexts(_contexts: any): {
+    "labelContext": string, "labelCategory": string,
+    "labelConcept": string, inline: boolean
+  }[] {
+    let contexts = new Array<{
+      "labelContext": string, "labelCategory": string,
+      "labelConcept": string, inline: boolean
+    }>();
+    
     let position = 0;
     let labels = "";
     let context;
     let length = Array.isArray(_contexts) ? _contexts.length : 1;
-    for(let i=0; i<length; i++) {
+    for (let i = 0; i < length; i++) {
       context = Array.isArray(_contexts) ? _contexts[i] : _contexts;
-
-      if(context.hasOwnProperty("type") && (context['type'] == "community" || context['type'] == "ri")) {
-        if(context.hasOwnProperty("category")) {
+      
+      if (context.hasOwnProperty("type") && (context['type'] == "community" || context['type'] == "ri")) {
+        if (context.hasOwnProperty("category")) {
           let category;
           let length2 = Array.isArray(context['category']) ? context['category'].length : 1;
           for (let z = 0; z < length2; z++) {
@@ -545,12 +540,12 @@
               let length1 = Array.isArray(category['concept']) ? category['concept'].length : 1;
               for (let j = 0; j < length1; j++) {
                 categoryConcept = Array.isArray(category['concept']) ? category['concept'][j] : category['concept'];
-
+                
                 contexts[position] = {"labelContext": "", "labelCategory": "", "labelConcept": "", inline: false};
                 contexts[position]['labelContext'] = context.label;
                 contexts[position]['labelCategory'] = category.label;
                 contexts[position]['labelConcept'] = categoryConcept.label;
-
+                
                 position++;
               }
             } else {
@@ -573,26 +568,26 @@
     }
     return contexts;
   }
-
+  
   parseTypes(types: string[], uniqueTypes: Set<string>, instance: any) {
-    if(instance.hasOwnProperty("instancetype") && instance['instancetype'].classname) {
-      if(!uniqueTypes.has(instance['instancetype'].classname)) {
+    if (instance.hasOwnProperty("instancetype") && instance['instancetype'].classname) {
+      if (!uniqueTypes.has(instance['instancetype'].classname)) {
         types.push(instance['instancetype'].classname);
         uniqueTypes.add(instance['instancetype'].classname);
       }
     }
   }
-
+  
   parseLanguages(_languages: any) {
     var languages = new Array<string>();
-
-    if(!Array.isArray(_languages)) {
-      if(_languages.classname != "Undetermined" && _languages.classname) {
+    
+    if (!Array.isArray(_languages)) {
+      if (_languages.classname != "Undetermined" && _languages.classname) {
         languages.push(_languages.classname);
       }
     } else {
-      for(let i=0; i<_languages.length; i++) {
-        if(_languages[i].classname != "Undetermined" && _languages[i].classname) {
+      for (let i = 0; i < _languages.length; i++) {
+        if (_languages[i].classname != "Undetermined" && _languages[i].classname) {
           languages.push(_languages[i].classname);
         }
       }
@@ -599,17 +594,17 @@
     }
     return languages;
   }
-
+  
   parseCountries(_countries: any) {
     var countries = new Array<string>();
-
-    if(!Array.isArray(_countries)) {
-      if(_countries.classname != "Undetermined" && _countries.classname) {
+    
+    if (!Array.isArray(_countries)) {
+      if (_countries.classname != "Undetermined" && _countries.classname) {
         countries.push(_countries.classname);
       }
     } else {
-      for(let i=0; i<countries.length; i++) {
-        if(_countries[i].classname != "Undetermined" && _countries[i].classname) {
+      for (let i = 0; i < countries.length; i++) {
+        if (_countries[i].classname != "Undetermined" && _countries[i].classname) {
           countries.push(_countries[i].classname);
         }
       }
@@ -616,17 +611,17 @@
     }
     return countries;
   }
-
+  
   parseProgrammingLanguages(_pLanguages) {
     var pLanguages = new Array<string>();
-
-    if(!Array.isArray(_pLanguages)) {
-      if(_pLanguages.classname != "Undetermined" && _pLanguages.classname) {
+    
+    if (!Array.isArray(_pLanguages)) {
+      if (_pLanguages.classname != "Undetermined" && _pLanguages.classname) {
         pLanguages.push(_pLanguages.classname);
       }
     } else {
-      for(let i=0; i<_pLanguages.length; i++) {
-        if(_pLanguages[i].classname != "Undetermined" && _pLanguages[i].classname) {
+      for (let i = 0; i < _pLanguages.length; i++) {
+        if (_pLanguages[i].classname != "Undetermined" && _pLanguages[i].classname) {
           pLanguages.push(_pLanguages[i].classname);
         }
       }
@@ -633,31 +628,31 @@
     }
     return pLanguages;
   }
-
-  parseReferences(citations: any): {"name": string, "url": string}[] {
-    let references = new Array<{"name": string, "url": string}>();
-
+  
+  parseReferences(citations: any): { "name": string, "url": string }[] {
+    let references = new Array<{ "name": string, "url": string }>();
+    
     let citation;
     let length = Array.isArray(citations) ? citations.length : 1;
-    for(let i=0; i<length; i++) {
+    for (let i = 0; i < length; i++) {
       citation = Array.isArray(citations) ? citations[i] : citations;
-
+      
       let url;
-      if(citation.hasOwnProperty("id")) {
+      if (citation.hasOwnProperty("id")) {
         let citationId;
         let length1 = Array.isArray(citation['id']) ? citation['id'].length : 1;
-        for(let j=0; j<length1; j++) {
+        for (let j = 0; j < length1; j++) {
           citationId = Array.isArray(citation['id']) ? citation['id'][j] : citation['id'];
-
-          if(citationId.type == "pmid") {
-            url = "http://www.ncbi.nlm.nih.gov/pubmed/"+citationId.value;
+          
+          if (citationId.type == "pmid") {
+            url = "http://www.ncbi.nlm.nih.gov/pubmed/" + citationId.value;
           }
         }
       }
-
-      references[citation.position-1] = { "name": "", "url": ""};
-      references[citation.position-1]['name'] = citation.rawText;
-      references[citation.position-1]['url'] = url;
+      
+      references[citation.position - 1] = {"name": "", "url": ""};
+      references[citation.position - 1]['name'] = citation.rawText;
+      references[citation.position - 1]['url'] = url;
     }
     return references;
   }
Index: modules/uoa-services-library/trunk/ng-openaire-library/src/app/landingPages/landing-utils/showIdentifiers.component.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library/src/app/landingPages/landing-utils/showIdentifiers.component.ts	(revision 58274)
+++ modules/uoa-services-library/trunk/ng-openaire-library/src/app/landingPages/landing-utils/showIdentifiers.component.ts	(revision 58275)
@@ -2,92 +2,106 @@
 import {HelperFunctions} from "../../utils/HelperFunctions.class";
 
 @Component({
-    selector: 'showIdentifiers',
-    template: `
-
-                <span *ngIf="countIdentifiers() > 0" class="uk-text-bold">Identifiers: </span>
-
-                <span *ngIf="showAll && countIdentifiers() > pageSize">
-                    <a (click)="showAll = !showAll;">View less identifiers</a>
+  selector: 'showIdentifiers',
+  template: `
+      <ng-container *ngFor="let key of getKeys(identifiers) let i=index">
+        <li>
+          <span *ngIf="countSizeOfPreviousIdentifiers(i) < pageSize || showAll" class="uk-margin-right">
+            <span class="uk-text-muted uk-text-uppercase">{{key}}: </span>
+            <ng-container *ngFor="let item of identifiers.get(key) let j=index">
+              <span *ngIf="(sizeOfPreviousIdentifiers + j) < pageSize || showAll">
+                <span class="uk-display-inline-block">
+                  <a *ngIf="key=='doi'" [href]="doiURL + item" target="_blank">
+                    {{item}} <span class="custom-external custom-icon space"></span>
+                  </a>
+                  <a *ngIf="key=='pmc'" [href]="pmcURL + item"  target="_blank">
+                    {{item}} <span class="custom-external custom-icon space"></span>
+                  </a>
+                  <a *ngIf="key=='pmid'" [href]="pmidURL + item"  target="_blank">
+                    {{item}} <span class="custom-external custom-icon space"></span>
+                  </a>
+                  <a *ngIf="key=='handle'" [href]="handleURL + item" target="_blank">
+                    {{item}} <span class="custom-external custom-icon space"></span>
+                  </a>
                 </span>
+                <span *ngIf="j !== (identifiers.get(key).length - 1)">, </span>
+              </span>
+            </ng-container>
+          </span>
+        </li>
+      </ng-container>
+      <div *ngIf="!showAll && countIdentifiers() > pageSize" class="uk-text-right">
+        <a (click)="showAll = !showAll;">
+            View all {{countIdentifiers() | number}} identifiers
+        </a>
+      </div>
+      <div *ngIf="showAll && countIdentifiers() > pageSize" class="uk-text-right">
+        <a (click)="showAll = !showAll; scroll()">View less identifiers</a>
+      </div>
+  `
+})
 
-                <ng-container *ngFor="let key of getKeys(identifiers) let i=index">
-                  <ng-container *ngIf="countSizeOfPreviousIdentifiers(i) < pageSize">
-                    <ng-container *ngFor="let item of identifiers.get(key) let j=index">
-                      <span *ngIf="(sizeOfPreviousIdentifiers + j) < pageSize || showAll" class="custom-external custom-icon">
-                        <a *ngIf="key=='doi'" href="{{doiURL}}{{item}}" target="_blank">{{key}}: {{item}}</a><a
-                        *ngIf="key=='pmc'" href="{{pmcURL}}{{item}}" target="_blank">{{key}}: {{item}}</a><a
-                        *ngIf="key=='handle'" href="{{handleURL}}{{item}}" target="_blank">{{key}}: {{item}}</a></span><span
-
-                        *ngIf="((sizeOfPreviousIdentifiers + j) < pageSize || showAll) && ((sizeOfPreviousIdentifiers + j) < countIdentifiers()-1)">{{", "}}</span>
-                      <span *ngIf="!showAll && (sizeOfPreviousIdentifiers + j)==pageSize"> ... </span>
-                    </ng-container>
-                  </ng-container>
-                </ng-container>
-
-                <span *ngIf="!showAll && countIdentifiers() > pageSize">
-                    <a (click)="showAll = !showAll;">
-                        view all {{countIdentifiers() | number}} identifiers
-                    </a>
-                </span>
-                <span *ngIf="showAll && countIdentifiers() > pageSize">
-                    <a (click)="showAll = !showAll; scroll()">View less identifiers</a>
-                </span>
-
-
-    `
-    })
-
 export class ShowIdentifiersComponent {
-    @Input() identifiers: Map<string, string[]>;
-    public doiURL: string;
-    public pmcURL: string;
-    public handleURL: string;
-    public showAll: boolean = false;
-    public sizeOfIdentifiers: number = -1;
-    public sizeOfPreviousIdentifiers: number = -1;
-    public pageSize: number = 10;
-
-    constructor () {
-        this.doiURL = "https://dx.doi.org/";
-        this.pmcURL = "http://europepmc.org/articles/";
-        this.handleURL = "http://hdl.handle.net/";
-    }
-
-    ngOnInit() {}
-
-    public countIdentifiers(): number {
-      if(this.sizeOfIdentifiers < 0) {
-        let num: number = 0;
-        if(this.identifiers != undefined) {
-            this.identifiers.forEach(function (value, key, map) {
-                num += value.length;
-            });
-        }
-        this.sizeOfIdentifiers = num;
-      }
-      return this.sizeOfIdentifiers;
-    }
-
-    public countSizeOfPreviousIdentifiers(index: number): number {
+  @Input() identifiers: Map<string, string[]>;
+  public doiURL: string;
+  public pmcURL: string;
+  public pmidURL: string;
+  public handleURL: string;
+  public showAll: boolean = false;
+  public sizeOfIdentifiers: number = -1;
+  public sizeOfPreviousIdentifiers: number = -1;
+  public pageSize: number = 3;
+  
+  constructor() {
+    this.doiURL = "https://dx.doi.org/";
+    this.pmcURL = "http://europepmc.org/articles/";
+    this.handleURL = "http://hdl.handle.net/";
+    this.pmidURL = "https://www.ncbi.nlm.nih.gov/pubmed/";
+  }
+  
+  ngOnInit() {}
+  
+  public countIdentifiers(): number {
+    if (this.sizeOfIdentifiers < 0) {
       let num: number = 0;
-      let i: number = 0;
-      if(this.identifiers != undefined) {
-        this.identifiers.forEach(function (value, key, map) {
-          if(i < index) {
-            num += value.length;
-          }
-          i++;
+      if (this.identifiers != undefined) {
+        this.identifiers.forEach((value, key, map) => {
+          num += value.length;
         });
       }
-      this.sizeOfPreviousIdentifiers= num;
-      return num;
+      this.sizeOfIdentifiers = num;
     }
-
-    public scroll() {
-      HelperFunctions.scroll();
+    return this.sizeOfIdentifiers;
+  }
+  
+  public countSizeOfPreviousIdentifiers(index: number): number {
+    let num: number = 0;
+    let i: number = 0;
+    if (this.identifiers != undefined) {
+      this.identifiers.forEach(function (value, key, map) {
+        if (i < index) {
+          num += value.length;
+        }
+        i++;
+      });
     }
-    public getKeys( map) {
-      return Array.from(map.keys());
-    }
+    this.sizeOfPreviousIdentifiers = num;
+    return num;
+  }
+  
+  public scroll() {
+    HelperFunctions.scroll();
+  }
+  
+  public getKeys(map) {
+    return Array.from(map.keys()).sort((a: string, b: string) => {
+      if(a === 'doi') {
+        return -1;
+      } else if(b === 'doi') {
+        return 1;
+      } else {
+        return 0;
+      }
+    });
+  }
 }
Index: modules/uoa-services-library/trunk/ng-openaire-library/src/app/landingPages/landing-utils/landing-header/landing-header.component.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library/src/app/landingPages/landing-utils/landing-header/landing-header.component.ts	(nonexistent)
+++ modules/uoa-services-library/trunk/ng-openaire-library/src/app/landingPages/landing-utils/landing-header/landing-header.component.ts	(revision 58275)
@@ -0,0 +1,101 @@
+import {Component, Input} from "@angular/core";
+import {EnvProperties} from "../../../utils/properties/env-properties";
+import {Author} from "../../../utils/result-preview/result-preview";
+import {AlertModal} from "../../../utils/modal/alert";
+
+@Component({
+  selector: 'landing-header',
+  template: `
+    <div class="title-section">
+      <span *ngIf="underCuration" title="{{buildCurationTooltip()}}"
+            uk-tooltip="pos:bottom-right; delay:10; cls: under-curation-tooltip"
+            class="under-curation uk-position-top-right uk-margin-small-right uk-margin-small-top">
+      </span>
+      <div class="uk-text-small">
+        <span *ngIf="entityType" class="uk-text-capitalize">
+          {{entityType}}
+        </span>
+        <span *ngIf="properties.environment !== 'production' && types && removeDuplicates(types).length > 0">
+           {{' . ' + removeDuplicates(types).join(' . ')}}
+        </span>
+        <span *ngIf="properties.environment === 'production' && types && removeUnknown(types, true).length > 0">
+           {{' . ' + removeUnknown(types, true).join(' . ')}}
+        </span>
+        <span>
+          <span *ngIf="startDate || endDate">
+            {{' . '}}
+          </span>
+          <span *ngIf="startDate && !endDate">
+            {{'from '}}
+          </span>
+          <span *ngIf="!startDate && endDate">
+            {{'until '}}
+          </span>
+          <span *ngIf="startDate">
+            {{startDate | date: 'yyyy'}}
+          </span>
+          <span *ngIf="startDate && endDate">
+            {{' - '}}
+          </span>
+          <span *ngIf="endDate">
+            {{endDate | date: 'yyyy'}}
+          </span>
+        </span>
+        <span *ngIf="status && status != ''">
+          {{' . ' + status}}
+        </span>
+        <span *ngIf="year && year != ''">
+          {{' . ' + year}}
+        </span>
+        <span *ngIf="embargoEndDate">
+         . Embargo end date: {{embargoEndDate | date: 'dd MMM yyyy'}}
+        </span>
+      </div>
+      <showTitle [titleName]="title" classNames="uk-margin-remove-bottom"></showTitle>
+      <div *ngIf="subTitle">
+        <span [innerHTML]="subTitle"></span>
+      </div>
+      <div *ngIf="authors" class="uk-margin-small-bottom uk-margin-small-top">
+        <showAuthors [authorsLimit]="authorLimit" [modal]="modal" [showAll]="showAllAuthors" [authors]="authors" [small]="false"></showAuthors>
+      </div>
+    </div>`
+})
+export class LandingHeaderComponent {
+  @Input() entityType: string;
+  @Input() properties: EnvProperties;
+  @Input() types: string[];
+  @Input() startDate: number; // project landing
+  @Input() endDate: number; // project landing
+  @Input() status: string;  // project landing
+  @Input() year: string;
+  @Input() embargoEndDate: Date;
+  @Input() title: string;
+  @Input() subTitle: string;
+  @Input() authors: Author[];
+  @Input() authorLimit: number = 30;
+  @Input() showAllAuthors: boolean = true;
+  @Input() underCuration: boolean = false;
+  @Input() modal: AlertModal;
+  
+  public removeUnknown(array: string[], type: boolean = false): string[] {
+    if (type) {
+      return this.removeDuplicates(array).filter(value => value.toLowerCase() !== 'unknown');
+    } else {
+      return array.filter(value => value.toLowerCase() !== 'unknown');
+    }
+  }
+  
+  public removeDuplicates(array: string[]): string[] {
+    return array.filter(value => value.toLowerCase() !== this.entityType);
+  }
+  
+  public buildCurationTooltip(): string {
+    let tooltipContent: string = "<div class='uk-margin'>";
+    
+    tooltipContent += "<h4>Record in preview</h4>";
+    tooltipContent += "<p>Bibliographic record accepted by the system, but not yet processed by <br> OpenAIRE tools for information quality improvement and de-duplication</p>";
+    
+    tooltipContent += "</div>";
+    return tooltipContent;
+  }
+}
Index: modules/uoa-services-library/trunk/ng-openaire-library/src/app/landingPages/landing-utils/availableOn.component.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library/src/app/landingPages/landing-utils/availableOn.component.ts	(revision 58274)
+++ modules/uoa-services-library/trunk/ng-openaire-library/src/app/landingPages/landing-utils/availableOn.component.ts	(revision 58275)
@@ -1,75 +1,106 @@
 import {Component, Input} from '@angular/core';
 import {HelperFunctions} from "../../utils/HelperFunctions.class";
+import {EnvProperties} from "../../utils/properties/env-properties";
 
 @Component({
-    selector: 'availableOn',
-    template: `
-    <dl [class]="'uk-description-list-line' + ((availableOn && availableOn.length > threshold) ? ' uk-margin-remove-bottom' : '')">
-      <dt class="sideInfoTitle ">Download from</dt>
-        <dd class="line" *ngFor="let available of availableOn.slice(0, showNum) let i=index" >
-            <div>
-              <!--div class="{{available['bestAccessMode']}}"-->
-              <div [class]="available['bestAccessMode'] ? available['bestAccessMode'] : 'UNKNOWN ACCESSMODE'">
-                <span *ngIf="available.downloadUrl.length > 1"
-                      class="custom-external custom-icon">
-                      {{available.downloadName}}
-                  <span *ngFor="let url of available.downloadUrl; let i=index;">
-                      <a  href="{{url}}" target="_blank"
-
-                          attr.uk-tooltip="pos:right; delay:10"
-                          [title]="available.accessMode[i] ? available.accessMode[i] : 'UNKNOWN ACCESSMODE'">
-                          [{{(i+1) | number}}]
-                      </a>
-                  </span>
-                </span>
-                <a  class="custom-external custom-icon"
-                    *ngIf="available['downloadUrl'].length == 1"
-                    href="{{available['downloadUrl']}}"
-                    target="_blank"
-
-                    attr.uk-tooltip="pos:right; delay:10"
-                    [title]="available.bestAccessMode ? available.bestAccessMode : 'UNKNOWN ACCESSMODE'">
-                    {{available.downloadName}}
-                </a>
-                <span *ngIf="available.collectedName" class="uk-text-bold">via</span>
-                <a *ngIf="available.collectedName"
-                    [queryParams]="{datasourceId: available.collectedId}" routerLinkActive="router-link-active" routerLink="/search/dataprovider">
-                  {{available.collectedName}}
-                </a>
-                <span *ngIf="available.type || available.year">(<span *ngIf="available.type">{{available.type}}<span *ngIf="available.year">, </span></span><span *ngIf="available.year">{{available.year}}</span>)</span>
-              </div>
-            </div>
-        </dd>
-    </dl>
-
+  selector: 'availableOn',
+  template: `
+    <div class="sideInfoTitle uk-margin-small-bottom">Download from</div>
+    <div class="download-from uk-height-max-large uk-overflow-auto">
+      <div *ngFor="let available of availableOn.slice(0, showNum) let i=index"
+           class="uk-flex uk-flex-top"
+           [title]="available.bestAccessMode ? available.bestAccessMode : 'Not available'">
+        <span class="uk-margin-small-right">
+          <img [src]="available.icon">
+        </span>
+        <div class="uk-width-expand">
+          <span *ngIf="available.downloadUrl.length > 1" class="title">
+            <span class="uk-text-bold">{{available.downloadName}}</span>
+            <a *ngFor="let url of available.downloadUrl; let i=index;">
+               [href]="url" target="_blank">
+               [{{(i + 1) | number}}]
+            </a>
+          </span>
+          <a *ngIf="available.downloadUrl.length === 1" [href]="available.downloadUrl[0]"
+             class="title" target="_blank">
+            {{available.downloadName}}
+            <span class="custom-external custom-icon space"></span>
+          </a>
+          <div *ngIf="removeUnknown(available.type) || available.year" class="uk-text-small">
+            <span *ngIf="removeUnknown(available.type)" class="uk-text-capitalize">{{available.type}}</span>
+            <span *ngIf="removeUnknown(available.type) && available.year"> . </span>
+            <span *ngIf="available.year">{{available.year}}</span>
+          </div>
+          <div *ngIf="available.collectedName" class="uk-text-small provider">
+            <span>Provider: </span>
+            <a *ngIf="available.collectedId" routerLink="/search/dataprovider" [queryParams]="{datasourceId: available.collectedId}">
+              {{available.collectedName}}
+            </a>
+            <span *ngIf="!available.collectedId">
+              {{available.collectedName}}
+            </span>
+          </div>
+        </div>
+      </div>
+    </div>
     <div *ngIf="showNum > threshold" class="uk-text-right uk-margin-bottom">
       <a (click)="showNum = threshold; scroll()">
         View less
       </a>
     </div>
-<!--    <div *ngIf="showNum == threshold && availableOn && availableOn.length > 5">...</div>-->
+    <!--    <div *ngIf="showNum == threshold && availableOn && availableOn.length > 5">...</div>-->
     <div *ngIf="showNum == threshold && availableOn && availableOn.length > 5" class="uk-text-right uk-margin-bottom">
       <a (click)="showNum = availableOn.length;">
         View more
       </a>
     </div>
-    `
-    })
+  `
+})
 
 export class AvailableOnComponent {
-    @Input() availableOn: { "downloadName": string, "downloadUrl": string[],
-                            "collectedName": string, "collectedId": string,
-                            "accessMode": string[], "bestAccessMode": string,
-                            "type": string, "year":string }[];
-
-    public threshold: number = 5;
-    public showNum: number = 5;
-
-    constructor () {}
-
-    ngOnInit() {}
-
-    public scroll() {
-      HelperFunctions.scroll();
+  @Input() availableOn: {
+    "downloadName": string, "downloadUrl": string[],
+    "collectedName": string, "collectedId": string,
+    "accessMode": string[], "bestAccessMode": string,
+    "type": string, "year": string, icon: string
+  }[];
+  @Input() properties: EnvProperties;
+  public open = 'assets/common-assets/unlock.svg';
+  public closed = 'assets/common-assets/lock.svg';
+  public unknown = 'assets/common-assets/question.svg';
+  public threshold: number = 4;
+  public showNum: number = 4;
+  
+  constructor() {
+  }
+  
+  ngOnInit() {
+    this.availableOn.forEach(available => {
+        if (available.bestAccessMode) {
+          if (available.bestAccessMode.toLowerCase().indexOf('open') !== -1) {
+            available.icon = this.open;
+          } else if (available.bestAccessMode.toLowerCase().indexOf('not available') !== -1) {
+            available.icon = this.unknown;
+          } else {
+            available.icon = this.closed;
+          }
+        } else {
+          available.icon = this.unknown;
+        }
+      }
+    );
+  }
+  
+  public removeUnknown(value: string): string {
+    if(this.properties.environment === 'production') {
+      if (value.toLowerCase() === 'unknown') {
+        return null;
+      }
     }
+    return value;
+  }
+  
+  public scroll() {
+    HelperFunctions.scroll();
+  }
 }
